Loft surface explanation

Hi All,

The loft surface does not work as expected, I tried it both in Python and C# and get the same problem. Whereas when I use the Loft command in Rhino directly, I get the expected surface. Could anyone help me in fixing this problem, by adjusting the seams in the code. I have attached the input curves and the two different outputs.
Thanks
Sunayana

Here is the python code

def RunCommand( is_interactive ):
  crvids = rs.GetObjects(message="select curves to loft", filter=rs.filter.curve, minimum_count=2)
  if not crvids:
      return
   rs.AddLoftSrf(object_ids=crvids, loft_type = 3) #3 = tight
  

#  if joinedCurves <> None:
#        doc.Views.Redraw()

  return Result.Success
  
if __name__ == "__main__":
    RunCommand(True)

inputCurves.3dm (43.3 KB)

RhinoLoft.3dm (234.8 KB)

RhinoPythonLoft.3dm (234.8 KB)

Please ignore, I was able to solve the problem by correcting the curve orientation.

Thanks,
Sunayana